#19 [sandbox] rst2html-pygments with python-pygments 1.0

closed-fixed
nobody
None
5
2009-05-25
2009-05-25
Savvas Radevic
No

I've tried the new pygments 1.0 with the tool provided from the sandbox:
http://docutils.sourceforge.net/sandbox/code-block-directive/tools/pygments-enhanced-front-ends/rst2html-pygments

Unfortunately, it didn't work:
$ python ./rst2html-pygments --stylesheet=lsr.css intro.rst > intro.html
/var/lib/python-support/python2.6/pygments/plugin.py:39: UserWarning: Module pygments was already imported from /var/lib/python-support/python2.6/pygments/__init__.py, but /var/lib/python-support/python2.6 is being added to sys.path

Is it possible to make a new script rst2html-pygments-1.0 (and also keep the old one)?

Discussion

  • Günter Milde
    Günter Milde
    2009-05-25

    rst2html-pygments is no longer supported, try rst2html-highlight.

    However, the error message looks like a problem with your Python installation that cannot be solved
    by a new script:

    * Do you have several pygments versions installed?

    * Does pygments work with other tools (Sphinx, Pygments command line tools)?

     
  • Savvas Radevic
    Savvas Radevic
    2009-05-25

    • status: open --> closed-fixed